Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class suffix

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.suffix

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class suffix

extends DefaultInternalAction

Internal action: `.suffix(S,L)`.

Description: checks if some list S is a suffix of list L. If S has free variables, this internal action backtracks all possible values for S.

Parameters:

- +/- suffix (list): the suffix to be checked.
- + list (list): the list where the suffix is from.

Examples:

- `.suffix([c],[a,b,c])`: true.
- `.suffix([a,b],[a,b,c])`: false.
- `.suffix(X,[a,b,c])`: unifies X with any suffix of the list, i.e., [a,b,c], [b,c], [c], and [] in this order.

See Also:
  `concat`, `length`, `sort`, `nth`, `max`, `min`, `reverse`, `prefix`, `sublist`, `difference`, `intersection`, `union`, Serialized Form

Constructor Summary
`suffix()`

Method Summary
`protected void` | `checkArguments(Term[] args)`
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### suffix

    public suffix()

Method Detail

### create

    public static InternalAction create()

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD